ranges::views::zip_with_fn Struct Referenceabstract

## Synopsis of methods

constexpr zip_with_fn | zip_with {}

## Public Member Functions

template<typename... Rngs, typename Fun >
auto | operator() (Fun fun, Rngs &&... rngs) const -> zip_with_view< Fun, all_t< Rngs >... > requires and_v< viewable_range< Rngs >... > &&and_v< input_range< Rngs >... > &&copy_constructible< Fun > &&invocable< Fun &, range_reference_t< Rngs >... > &&(sizeof...(Rngs) !=0)
template<typename Fun >
constexpr auto | operator() (Fun) const noexcept -> empty_view< std::tuple<>> requires copy_constructible< Fun > &&invocable< Fun &>